What are the system requirements for the dotFIT Program?

On Thursday, April 1, 2010 by dotFIT experts

  • High-speed Internet access
  • Supported Browsers: Internet Explorer 7 or later and Firefox 3.0 or later
  • Adobe Flash Player - download/install at www.dotfit.com/flash
  • A subscription to the program (this may be provided by your gym, or you can sign up on dotFIT.com)

User Comments

Write a Comment
No Rating

Get Your Fitness/Nutrition Advice!

chat

Need Our Help?

question_answer